const multer = require('multer')
const { db } = require('./db')
const mkdirp = require('mkdirp')

mkdirp('./static/uploads', error => {
  if (error) throw error
})
const uploadMiddleware = multer({ dest: './static/uploads' })

const handleFile = async (req, res) => {
  const { file } = req
  const { description } = req.body
  if (!file) {
    await res.json({ error: 'File not received.' })
    return
  }
  const dbFile = await db.mutation.createFile({
    data: {
      path: file.path,
      name: file.originalname,
      description: description,
      filename: file.filename,
      mimetype: file.mimetype,
      size: file.size
    }
  })
  await res.json({ file: dbFile })
}

module.exports = { uploadMiddleware, handleFile }
